Package com.macrofocus.high_d.tablelens

# Interface TableLens<Component,Color,Row,Column>

All Known Implementing Classes:
  `AbstractTableLens`, `JavaFXTableLens`

public interface TableLens<Component,Color,Row,Column>

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TableLensController`
  `getController()`
  Returns the controller used by the parallel coordinates component.
  `TableLensModel`
  `getModel()`
  Returns the model used by the scatter plot component.
  `Component`
  `getNativeComponent()`
  `TableLensView<Component,Color,Row,Column>`
  `getView()`
  Returns the view used by the parallel coordinates component.
  `void`
  `setController(TableLensController controller)`
  Sets the controller to be used by the parallel coordinates component and register the view currently in use.
  `void`
  `setModel(TableLensModel model)`
  Sets the model to be used for the scatter plot component and register it to the view.
  `void`
  `setView(TableLensView<Component,Color,Row,Column> view)`
  Sets the view to be used by the parallel coordinates component and register the model currently in use.

- ## Method Details

  - ### getModel

    TableLensModel getModel()
    Returns the model used by the scatter plot component.
    Returns:
      the model in use

  - ### setModel

    void setModel(TableLensModel model)
    Sets the model to be used for the scatter plot component and register it to the view.
    Parameters:
      `model` - the model to be used

  - ### getView

    TableLensView<Component,Color,Row,Column> getView()
    Returns the view used by the parallel coordinates component.
    Returns:
      the view in use

  - ### setView

    void setView(TableLensView<Component,Color,Row,Column> view)
    Sets the view to be used by the parallel coordinates component and register the model currently in use. It will also register itself to the controller.
    Parameters:
      `view` - the view to be used

  - ### getController

    TableLensController getController()
    Returns the controller used by the parallel coordinates component.
    Returns:
      the controller in use

  - ### setController

    void setController(TableLensController controller)
    Sets the controller to be used by the parallel coordinates component and register the view currently in use.
    Parameters:
      `controller` - the controller in use

  - ### getNativeComponent

    Component getNativeComponent()